# $Id$
#
# A snippet for a makefile, which builds an executable.
#
# Variables:
#
# srcdir      ... source directory.
# prefix      ... install prefix
# DESTDIR     ... temporary destination directory, where prefix resides. (Used by debian and rpm packagers)
# CC          ... path of GNU C compiler
# CXX         ... path of GNU C++ compiler
# CFLAGS      ... C options like -Wall -g -O2
# CXXFLAGS    ... C++ options like -Wall -g -O2
# WINDRES     ... windows resource compiler, if $(ARTIFACT).rc is to be compiled in.
# LD          ... path of linker (either CC or CXX), for BUILDTYPE=so,dll,exe or bin
# LDFLAGS     ... Additional linker flags
# SOURCES     ... list of source packages to compile.
# INCLUDES    ... list of optional include directories
# PKGCONFIG   ... path of the pkg-config tool.
# EXTPKGS     ... list of external pkg-config packages.
# BUILDTYPE   ... bin or exe, will be autoguessed, if $(WINDRES) is defined to compile in resources.
#                 it is recommended to use WINDRES (for windows builds) and leave BUILDTYPE to autoguessing.
# ARTIFACT    ... The name of the build artifact
#

ifeq ($(BUILDTYPE),)
ifeq ($(WINDRES),)
BUILDTYPE=bin
else
BUILDTYPE=exe
endif
endif

include /usr/share/pba-cbs/mk/common-targets.mk
include /usr/share/pba-cbs/mk/common-compile.mk
include /usr/share/pba-cbs/mk/common-link.mk
include /usr/share/pba-cbs/mk/common-gettext.mk
