# $Id$
#
# A snippet for a makefile, which builds a static library.
#
# Variables:
#
# srcdir      ... source directory.
# prefix      ... install prefix
# DESTDIR     ... temporary destination directory, where prefix resides. (Used by debian and rpm packagers)
# CC          ... path of GNU C compiler
# CXX         ... path of GNU C++ compiler
# CFLAGS      ... C options like -Wall -g -O2
# CXXFLAGS    ... C++ options like -Wall -g -O2
# AR          ... path of ar, for BUILDTYPE=lib
# SOURCES     ... list of source packages to compile.
# HEADERS     ... list of headerr files to install.
# HEADERDIR   ... subdirectory of $(prefix)/include where to install headers.
# INCLUDES    ... list of optional include directories
# LIBS        ... optional list of additional libraries (propagated to pkg-config's .pc-file)
# PKGCONFIG   ... path of the pkg-config tool.
# EXTPKGS     ... list of external pkg-config packages.
# ARTIFACT    ... The name of the build artifact
# NODEVRULES  ... If non-empty don't generate install-dev rules.
#

BUILDTYPE=lib

include /usr/share/pba-cbs/mk/common-targets.mk
include /usr/share/pba-cbs/mk/common-compile.mk
include /usr/share/pba-cbs/mk/common-link.mk
include /usr/share/pba-cbs/mk/common-gettext.mk
include /usr/share/pba-cbs/mk/common-pkgconfig.mk
