# $Id$
#
# common rules for compilation of flex lexcal analyser generated files.
#
# this file is automatically included if FLEX is set
#
# The list of depndencies and objects is not automaically expanded,
# because flex output is usually included into bison source.
# If you need to compiler flex output directly, add the following
# two lines to your Makefile:
#
#   OBJS:=$(OBJS) $(FLEXOBJS)
#   DEPENDS:=$(DEPENDS) $(FLEXDEPENDS)
#
# Variables:
#
# srcdir    ... source directory.
# CC        ... path of GNU C compiler
# FLEX     ... The path of the flex binary.
# FLEXFLAGS... Flags to pass to flex
# LSOURCES  ... list of *.l files to be processed by flex
# ABI_CFLAGS... ABI-specific CFLAGS, determined by common-compile.mk
# EXT_CFLAGS... pkg-config CFLAGS, determined by common-compile.mk
# INCLUDES  ... list of optional include directories
# CFLAGS    ... C options like -Wall -g -O2
#

FLEXSOURCES=$(addsuffix _flex.c,$(basename $(LSOURCES))) 
FLEXOBJS=$(addsuffix _flex.o,$(basename $(LSOURCES))) 
FLEXDEPENDS=$(addsuffix _flex.d,$(basename $(LSOURCES))) 

%_flex.c: $(srcdir)/%.l
	$(FLEX) $(FLEXFLAGS) -o $@ $<

%_flex.o %_flex.d: %_flex.c
	$(CC) $(ABI_CFLAGS) $(CFLAGS) $(EXT_CFLAGS) $(INCLUDES) -MMD -MT '$*_flex.d $*_flex.o' -c $< -o $*_flex.o

compile:: $(FLEXSOURCES)

clean::
	rm -f $(FLEXSOURCES)
