# $Id$
#
# common rules for compilation of Qt's moc-generated cpp files generated from header files.
#
# this file is automatically included if MOC is set
#
# Variables:
#
# srcdir    ... source directory.
# MOC       ... The path of the moc binary. use moc-qt4 to be save when qt3-dev is installed, too.
# MOCHEADERS... list of header files to preproces using moc.
# MOCFLAGS..... Flags to pass to Qt moc.
#

MOCSOURCES=$(addsuffix _moc.cpp,$(basename $(MOCHEADERS))) 
MOCOBJS=$(addsuffix _moc.o,$(basename $(MOCHEADERS))) 
MOCDEPENDS=$(addsuffix _moc.d,$(basename $(MOCHEADERS))) 

OBJS:=$(OBJS) $(MOCOBJS)
DEPENDS:=$(DEPENDS) $(MOCDEPENDS)

.SECONDARY: $(MOCSOURCES)

ifneq ($(UICHEADERS),)
$(MOCDEPENDS) : $(UICHEADERS) 
endif


%_moc.cpp: $(srcdir)/%.h
	$(MOC) $(MOCFLAGS) -o $@ $<

%_moc.o %_moc.d: %_moc.cpp
	$(CXX) $(ABI_CFLAGS) $(CXXFLAGS) $(EXT_CFLAGS) $(INCLUDES) -MMD -MT '$*_moc.d $*_moc.o' -c $< -o $*_moc.o

clean::
	rm -f $(MOCSOURCES)
