# $Id$
#
# special rules for Windows exe linker invocation.
#
# Variables:
#
# prefix      ... install prefix
# DESTDIR     ... temporary destination directory, where prefix resides. (Used by debian and rpm packagers)
# LD          ... path of linker (either CC or CXX)
# OBJS        ... objet files to be linked in.
# EXT_LIBS    ... pkg-config detected libraries.
# LIBS        ... list of optional additional libraries
# SILENT_LIBS ... optional list of additional libraries, which are not propagated to pkg-config's .pc-file
# LDFLAGS     ... Additional linker flags
# ARTIFACT    ... The name of the build artifact
#

TARGET=$(ARTIFACT).exe

ifeq ($(BINSUBDIR),)
BINSUBDIR=bin
endif

$(TARGET): $(OBJS)
	$(LD) $(LDFLAGS) $(OBJS) $(SILENT_LIBS) $(LIBS) $(EXT_LIBS) -o $(TARGET)

link:: $(TARGET)

install-bin:: $(TARGET)
	mkdir -p $(DESTDIR)$(prefix)/$(BINSUBDIR)
	install -m 755 -p $(TARGET) $(DESTDIR)$(prefix)/$(BINSUBDIR)

clean::
	rm -f $(TARGET)
