#!/bin/bash
#
# $Id$
#
# Get the debian package version from debian/changelog
#
# arg1: srcdir
# arg2: optional second possible srcdir
#
# version must contain at least 4 parts if used for windres' __COMMA_VERSION__, 
# i.e. 1.2.3.4 or 1.2.3-4 or 1.2.3.4-5
#
# pre-relase tags are accepted, i.e. 1.2.3.4beta3, 1.2.3-4beta4 or  1.2.3.4~beta3
#
# the future might see extensions to also support 1, 1.2, 1.2.3, 1-2, 1.2-3
#

srcdir="$1"
test -z "$srcdir" && srcdir=$(pwd)

othersrcdir="$2"
test -z "$othersrcdir" -a -d src && othersrcdir="$(pwd)/src"

cl=

test -z "$cl" -a -f $srcdir/../debian/changelog         && cl=$srcdir/../debian/changelog
test -z "$cl" -a -f $srcdir/../debian-arch/changelog    && cl=$srcdir/../debian-arch/changelog
test -z "$cl" -a -f $srcdir/../debian-unix/changelog    && cl=$srcdir/../debian-unix/changelog
test -z "$cl" -a -f $srcdir/../../debian/changelog      && cl=$srcdir/../../debian/changelog
test -z "$cl" -a -f $srcdir/../../debian-arch/changelog && cl=$srcdir/../../debian-arch/changelog
test -z "$cl" -a -f $srcdir/../../debian-unix/changelog && cl=$srcdir/../../debian-unix/changelog

if [ -z "$cl" -a -n "$othersrcdir" ]
then
  test -z "$cl" -a -f $othersrcdir/../debian/changelog         && cl=$othersrcdir/../debian/changelog
  test -z "$cl" -a -f $othersrcdir/../debian-arch/changelog    && cl=$othersrcdir/../debian-arch/changelog
  test -z "$cl" -a -f $othersrcdir/../debian-unix/changelog    && cl=$othersrcdir/../debian-unix/changelog
  test -z "$cl" -a -f $othersrcdir/../../debian/changelog      && cl=$othersrcdir/../../debian/changelog
  test -z "$cl" -a -f $othersrcdir/../../debian-arch/changelog && cl=$othersrcdir/../../debian-arch/changelog
  test -z "$cl" -a -f $othersrcdir/../../debian-unix/changelog && cl=$othersrcdir/../../debian-unix/changelog
fi 

test -z "$cl" && echo "Cannot find changelog" && exit 1

#head -1 $cl | sed s'/^[a-z0-9-]* (\([0-9][0-9]*\.[0-9][0-9]*\.[0-9][0-9]*[\.-][0-9][0-9]*\([a-z~][a-z]*[0-9][0-9]*\)\?\)).*$/\1/'
head -1 $cl |sed -e 's/^.*(//' |sed -e 's/).*$//' 
